Bug 811043 - [abrt] kernel: BUG: unable to handle kernel NULL pointer dereference at 0000000000000008
[abrt] kernel: BUG: unable to handle kernel NULL pointer dereference at 00000...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
abrt_hash:f71e724594e4ba197468db9bdf5...
:
Depends On:
Blocks: kernel_hibernate
  Show dependency treegraph
 
Reported: 2012-04-09 20:05 EDT by Peter
Modified: 2012-05-14 14:03 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-14 14:03:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter 2012-04-09 20:05:53 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
cmdline:        rd.luks.uuid=luks-44562137-729a-4085-b4bd-88c31f9b8c25 rd.md=0 rd.lvm.lv=vg_ranieri/lv_swap  KEYTABLE=us quiet SYSFONT=latarcyrheb-sun16 rhgb LANG=en_US.UTF-8 ro rd.lvm.lv=vg_ranieri/lv_root root=/dev/mapper/vg_ranieri-lv_root rd.dm=0
kernel:         3.2.10-3.fc16.x86_64
reason:         BUG: unable to handle kernel NULL pointer dereference at 0000000000000008
time:           Mon 09 Apr 2012 08:03:59 PM EDT

backtrace:
:BUG: unable to handle kernel NULL pointer dereference at 0000000000000008
:IP: [<ffffffff812cc4c7>] __list_add+0x17/0xa0
:PGD 1311f8067 PUD 13bf42067 PMD 0 
:Oops: 0000 [#1] SMP 
:CPU 3 
:Modules linked in: binfmt_misc ppdev parport_pc lp parport fuse lockd ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 ip6table_filter ip6_tables nf_conntrack_ipv4 nf_defrag_ipv4 xt_state nf_conntrack snd_hda_codec_hdmi snd_hda_codec_conexant vfat fat arc4 snd_hda_intel snd_hda_codec snd_hwdep uvcvideo snd_seq videodev snd_seq_device microcode iwlwifi media v4l2_compat_ioctl32 snd_pcm mac80211 thinkpad_acpi cfg80211 iTCO_wdt r8169 snd_timer joydev iTCO_vendor_support snd i2c_i801 soundcore snd_page_alloc mii rfkill uinput sunrpc xts gf128mul dm_crypt sdhci_pci sdhci mmc_core wmi i915 drm_kms_helper drm i2c_algo_bit i2c_core video [last unloaded: scsi_wait_scan]
:Pid: 16116, comm: find Tainted: G        W    3.2.10-3.fc16.x86_64 #1 LENOVO 114157U/114157U
:RIP: 0010:[<ffffffff812cc4c7>]  [<ffffffff812cc4c7>] __list_add+0x17/0xa0
:RSP: 0018:ffff88011525be58  EFLAGS: 00010282
:RAX: ffff88022f7688d0 RBX: ffff88016445d450 RCX: dead000000200200
:RDX: 0000000000000000 RSI: ffff88022f540690 RDI: ffff88016445d450
:RBP: ffff88011525be78 R08: ffff88016445d450 R09: 000000000000000a
:R10: 0000000000000000 R11: 0000000000000001 R12: ffff88022f54065c
:R13: ffff880128ad6f00 R14: ffff88022f44d89c R15: ffff88022f44d8e0
:FS:  00007f5d1e2a27c0(0000) GS:ffff88023fac0000(0000) knlGS:0000000000000000
:CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
:CR2: 0000000000000008 CR3: 00000001465ea000 CR4: 00000000000406e0
:DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
:DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
:Process find (pid: 16116, threadinfo ffff88011525a000, task ffff88023f838000)
:Stack:
: ffff88022f54065c ffff88022f540690 ffff88022f54065c ffff880128ad6f00
: ffff88011525bed8 ffffffff8119eaf7 ffff88022f44d840 ffffffff8118d420
: ffff88011525bf40 ffff88016445d450 ffff88011525bed8 ffff880128ad6f00
:Call Trace:
: [<ffffffff8119eaf7>] dcache_readdir+0x167/0x200
: [<ffffffff8118d420>] ? fillonedir+0xd0/0xd0
: [<ffffffff8118d420>] ? fillonedir+0xd0/0xd0
: [<ffffffff8118d320>] vfs_readdir+0xb0/0xe0
: [<ffffffff8118d5f9>] sys_getdents+0x89/0x100
: [<ffffffff815ecac2>] system_call_fastpath+0x16/0x1b
:Code: 48 83 c4 08 5b 5d c3 66 66 66 66 2e 0f 1f 84 00 00 00 00 00 55 48 89 e5 48 83 ec 20 48 89 5d e8 4c 89 65 f0 48 89 fb 4c 89 6d f8 <4c> 8b 42 08 49 89 f5 49 89 d4 49 39 f0 75 27 4d 8b 45 00 4d 39 
:RIP  [<ffffffff812cc4c7>] __list_add+0x17/0xa0
: RSP <ffff88011525be58>
:CR2: 0000000000000008

smolt_data:
:
:
:General
:=================================
:UUID: 16264ab5-c996-42c1-8804-0c00c5456adf
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: en_US.utf8
:Platform: x86_64
:BogoMIPS: 4190.32
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM) i3-2310M CPU @ 2.10GHz
:CPU Stepping: 7
:CPU Family: 6
:CPU Model Num: 42
:Number of CPUs: 4
:CPU Speed: 2100
:System Memory: 7898
:System Swap: 9951
:Vendor: LENOVO
:System: 114157U ThinkPad E420
:Form factor: Notebook
:Kernel: 3.3.1-3.fc16.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:7241:6058:8674) pci, None, PCI/ISA, HM65 Express Chipset Family LPC Controller
:(32902:278:6058:8674) pci, i915, VIDEO, 2nd Generation Core Processor Family Integrated Graphics Controller
:(32902:7190:6058:8674) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 4
:(32902:7184:6058:8674) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 1
:(32902:7186:6058:8674) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 2
:(32902:7198:6058:8674) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 8
:(32902:7200:6058:8674) pci, snd_hda_intel, MULTIMEDIA, 6 Series/C200 Series Chipset Family High Definition Audio Controller
:(32902:7188:6058:8674) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 3
:(32902:132:32902:4885) pci, iwlwifi, NETWORK, Centrino Wireless-N 1000 BGN
:(32902:7202:6058:8674) pci, None, SERIAL, 6 Series/C200 Series Chipset Family SMBus Controller
:(4332:33128:6058:8674) pci, r8169, ETHERNET, RTL8111/8168B PCI Express Gigabit Ethernet controller
:(4480:59427:6058:8674) pci, sdhci-pci, BASE, N/A
:(32902:7171:6058:8674) pci, ahci, STORAGE, 6 Series/C200 Series Chipset Family 6 port SATA AHCI Controller
:(32902:7213:6058:8674) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #2
:(32902:7206:6058:8674) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #1
:(32902:260:6058:8674) pci, agpgart-intel, HOST/PCI, 2nd Generation Core Processor Family DRAM Controller
:(32902:7226:6058:8674) pci, None, SIMPLE, 6 Series/C200 Series Chipset Family MEI Controller #1
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_ranieri-lv_root / ext4 4096 4096 13081819 3949386 3294026 3276800 3055145 3055145
:/dev/sda2 /boot ext4 1024 1024 508745 412301 386701 128016 127986 127986
:/dev/sda1 WITHHELD vfat 4096 4096 1119856 1119768 1119768 0 0 0
:/dev/mapper/vg_ranieri-lv_home /home ext4 4096 4096 12369620 6515686 5895962 3098704 3015684 3015684
:
Comment 1 Josh Boyer 2012-04-09 20:27:45 EDT
Was this resumed after a hibernate?
Comment 2 Peter 2012-04-09 20:56:04 EDT
Well, yes. 2.5 hours of work + video after resuming from hibernation. Kernel crashed the very moment I pressed <enter> after typing "find / -name <something>"
Comment 3 Josh Boyer 2012-04-10 08:41:04 EDT
(In reply to comment #2)
> Well, yes. 2.5 hours of work + video after resuming from hibernation. Kernel
> crashed the very moment I pressed <enter> after typing "find / -name
> <something>"

OK.  There is a known i915 hibernate corruption bug that hits in the 3.x series.  It's fixed in the latest 3.3.1-3 update for F16.  Probably worth testing to see if that helps your issue.

Note You need to log in before you can comment on or make changes to this bug.